# Not naming if openstack-swift-swauth to avoid conflicts with in-tree auth.
Name:		openstack-swauth
Version:	1.0.2
Release:	2%{?dist}
Summary:	The legacy authentication middleware for OpenStack Swift

# Completely bogus group, but Alan Pevec's openstack-swift uses it.
Group:		Development/Languages
License:	ASL 2.0
URL:		https://github.com/gholt/swauth/
# Source URL is https://github.com/gholt/swauth/tarball/{version},
# which produces  Content-Disposition: attachment; filename=XXXXXX.tar.gz.
# But wait! The extracted directory name is different from tarball name.
# Even worse! Greg somehow set it so download links point to master only.
Source0:	gholt-swauth-1.0.2-15-g62de7ce.tar.gz
#Source1:	git-review.conf

BuildArch:	noarch
BuildRequires:	python2-devel
BuildRequires:	python-setuptools

Requires:	openstack-swift

%description
The so-called "swauth" middleware that was originally included into
CloudFiles and later swift away from Swift when Keystone appeared.
Also known as "legacy authentication".

%prep
%setup -q -n gholt-swauth-62de7ce

%build
%{__python} setup.py build
sed -i 's/\r//' LICENSE

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/swauth-*
#{python_sitelib}/#{name}-#{version}-*.egg-info/
%{python_sitelib}/swauth-1.0.3.dev-py2.*.egg-info/
%{python_sitelib}/swauth/
# Not sure if we want test_swauth, but let's deal with it later.
%{python_sitelib}/test_swauth/
%doc AUTHORS LICENSE README.md

%changelog
* Wed Feb 15 2012 Pete Zaitcev <zaitcev@redhat.com>
- 1.0.2-2
- Initial revision
